package token;

import java.util.function.Supplier;

import file.FilePosition;
import sexpression.LispNumber;
import sexpression.SExpression;

public class Number extends Token {

    public Number(String text, FilePosition position) {
        super(text, position);
    }

    @Override
    public SExpression parseSExpression(Supplier<Token> getNextToken) {
        return new LispNumber(getText());
    }

}
